Bug 184846 - science/avogadro: Update to version 1.1.1
science/avogadro: Update to version 1.1.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Danilo Egea Gondolfo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-18 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (8.45 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:12 UTC
- Update to version 1.1.1

Remove file:
files/patch-git_f518cdf4d281ac6da124b179a7f9b4b71ca90cb0
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-17 20:32:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2013-12-18 23:33:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2013-12-18 23:39:01 UTC
Author: danilo
Date: Wed Dec 18 23:33:20 2013
New Revision: 336862
URL: http://svnweb.freebsd.org/changeset/ports/336862

Log:
  - Update from 1.1.0 to 1.1.1
  - Add desktop-file-utils to USES
  - Add stage support
  
  PR:		ports/184846
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/science/avogadro/files/patch-git_f518cdf4d281ac6da124b179a7f9b4b71ca90cb0
Modified:
  head/science/avogadro/Makefile
  head/science/avogadro/distinfo
  head/science/avogadro/pkg-plist
  head/science/kalzium/Makefile

Modified: head/science/avogadro/Makefile
==============================================================================
--- head/science/avogadro/Makefile	Wed Dec 18 23:27:40 2013	(r336861)
+++ head/science/avogadro/Makefile	Wed Dec 18 23:33:20 2013	(r336862)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	avogadro
-PORTVERSION=	1.1.0
-PORTREVISION=	1
+PORTVERSION=	1.1.1
 CATEGORIES=	science
 MASTER_SITES=	SF
 
@@ -12,14 +11,15 @@ COMMENT=	Advanced molecular editor and v
 
 LICENSE=	GPLv2 # (or later)
 
-BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/eigen2.pc:${PORTSDIR}/math/eigen2
+BUILD_DEPENDS=	eigen2>2:${PORTSDIR}/math/eigen2
 LIB_DEPENDS=	libopenbabel.so:${PORTSDIR}/science/openbabel
 
 OPTIONS_DEFINE=	PYTHON
 OPTIONS_DEFAULT=PYTHON
+OPTIONS_SUB=	yes
 
 USE_BZIP2=	yes
-USES=		cmake pkgconfig
+USES=		cmake desktop-file-utils pkgconfig
 USE_GL=		glu
 USE_QT4=	gui network opengl \
 		linguist_build moc_build qmake_build rcc_build uic_build
@@ -27,26 +27,23 @@ CMAKE_ARGS=	-DENABLE_GLSL=OFF \
 		-DQT_MKSPECS_RELATIVE=share/qt4/mkspecs
 USE_LDCONFIG=	yes
 
-CFLAGS+=	-idirafter ${LOCALBASE}/include
+CFLAGS+=	-idirafter ${LOCALBASE}/include/eigen2 \
+		-idirafter ${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MAN1=		avogadro.1 avopkg.1
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MPYTHON}
-CMAKE_ARGS+=	-DENABLE_PYTHON=ON
-USE_PYTHON=	-2.7
+USE_PYTHON=	2
 BUILD_DEPENDS+=	${PYNUMPY} \
 		${PYTHON_PKGNAMEPREFIX}sip>0:${PORTSDIR}/devel/py-sip
 LIB_DEPENDS+=	libboost_python.so:${PORTSDIR}/devel/boost-python-libs
 RUN_DEPENDS+=	${PYNUMPY} \
 		${PYTHON_PKGNAMEPREFIX}sip>0:${PORTSDIR}/devel/py-sip
-PLIST_SUB+=	PYTHON=""
+CMAKE_ARGS+=	-DENABLE_PYTHON=ON \
+		-DPYTHON_INCLUDE_DIR:PATH=${WRKDIR}/include/${PYTHON_VERSION}
 .else
 CMAKE_ARGS+=	-DENABLE_PYTHON=OFF
-PLIST_SUB+=	PYTHON="@comment "
 .endif
 
 post-patch:
@@ -56,4 +53,15 @@ post-patch:
 	@${REINPLACE_CMD} -e \
 		's|share/man|man|' ${WRKSRC}/doc/CMakeLists.txt
 
+pre-configure:
+.if ${PORT_OPTIONS:MPYTHON}
+	@${MKDIR} ${WRKDIR}/include/${PYTHON_VERSION}
+	@${FIND} ${PYTHON_INCLUDEDIR} ! -name "pyport.h" -type f \
+		-maxdepth 1 | ${XARGS} -J % ${LN} -sf % \
+		${WRKDIR}/include/${PYTHON_VERSION}
+	@${SED} -e 's|^#ifdef _PY_PORT_CTYPE_UTF8_ISSUE|#if 0|' \
+		${PYTHON_INCLUDEDIR}/pyport.h > \
+		${WRKDIR}/include/${PYTHON_VERSION}/pyport.h
+.endif
+
 .include <bsd.port.mk>

Modified: head/science/avogadro/distinfo
==============================================================================
--- head/science/avogadro/distinfo	Wed Dec 18 23:27:40 2013	(r336861)
+++ head/science/avogadro/distinfo	Wed Dec 18 23:33:20 2013	(r336862)
@@ -1,2 +1,2 @@
-SHA256 (avogadro-1.1.0.tar.bz2) = 6b4eaf57ae52bf43df9b103c77e6abae71e067053d5c99f82acbce9855ecceb0
-SIZE (avogadro-1.1.0.tar.bz2) = 10741835
+SHA256 (avogadro-1.1.1.tar.bz2) = fe6f7bdea17a27a20be25b70d975145999aae9d90ef320217af2bc4d6e7a0a14
+SIZE (avogadro-1.1.1.tar.bz2) = 11118046

Modified: head/science/avogadro/pkg-plist
==============================================================================
--- head/science/avogadro/pkg-plist	Wed Dec 18 23:27:40 2013	(r336861)
+++ head/science/avogadro/pkg-plist	Wed Dec 18 23:33:20 2013	(r336862)
@@ -48,6 +48,7 @@ include/avogadro/undosequence.h
 include/avogadro/zmatrix.h
 lib/avogadro/1_1/AvogadroUse.cmake
 lib/avogadro/1_1/cmake/FindEigen2.cmake
+lib/avogadro/1_1/cmake/FindEigen3.cmake
 lib/avogadro/1_1/cmake/FindGLEW.cmake
 lib/avogadro/1_1/colors/atomindexcolor.so
 lib/avogadro/1_1/colors/chargecolor.so
@@ -80,6 +81,7 @@ lib/avogadro/1_1/extensions/gl2psextensi
 lib/avogadro/1_1/extensions/h2methylextension.so
 lib/avogadro/1_1/extensions/hydrogensextension.so
 lib/avogadro/1_1/extensions/inputfileextension.so
+lib/avogadro/1_1/extensions/insertdnaextension.so
 lib/avogadro/1_1/extensions/insertfragmentextension.so
 lib/avogadro/1_1/extensions/insertpeptideextension.so
 lib/avogadro/1_1/extensions/invertchiralextension.so
@@ -110,12 +112,14 @@ lib/avogadro/AvogadroTargets-%%CMAKE_BUI
 lib/avogadro/AvogadroTargets.cmake
 lib/libavogadro.so
 lib/libavogadro.so.1
-lib/libavogadro.so.1.1.0
+lib/libavogadro.so.1.1.1
 lib/libavogadro_OpenQube.so
 lib/libavogadro_OpenQube.so.0
 lib/libavogadro_OpenQube.so.0.1.0
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/Avogadro.so
 libdata/pkgconfig/avogadro.pc
+man/man1/avogadro.1.gz
+man/man1/avopkg.1.gz
 share/applications/avogadro.desktop
 %%DATADIR%%/builder/amino/d-ala.zmat
 %%DATADIR%%/builder/amino/d-arg.zmat
@@ -1060,11 +1064,13 @@ share/applications/avogadro.desktop
 %%DATADIR%%/i18n/avogadro_en_CA.qm
 %%DATADIR%%/i18n/avogadro_en_GB.qm
 %%DATADIR%%/i18n/avogadro_es.qm
+%%DATADIR%%/i18n/avogadro_et.qm
 %%DATADIR%%/i18n/avogadro_eu.qm
 %%DATADIR%%/i18n/avogadro_fi.qm
 %%DATADIR%%/i18n/avogadro_fr.qm
 %%DATADIR%%/i18n/avogadro_gl.qm
 %%DATADIR%%/i18n/avogadro_he.qm
+%%DATADIR%%/i18n/avogadro_hi.qm
 %%DATADIR%%/i18n/avogadro_hr.qm
 %%DATADIR%%/i18n/avogadro_hu.qm
 %%DATADIR%%/i18n/avogadro_id.qm
@@ -1072,6 +1078,7 @@ share/applications/avogadro.desktop
 %%DATADIR%%/i18n/avogadro_ja.qm
 %%DATADIR%%/i18n/avogadro_kn.qm
 %%DATADIR%%/i18n/avogadro_ko.qm
+%%DATADIR%%/i18n/avogadro_ms.qm
 %%DATADIR%%/i18n/avogadro_nb.qm
 %%DATADIR%%/i18n/avogadro_nl.qm
 %%DATADIR%%/i18n/avogadro_oc.qm
@@ -1080,8 +1087,11 @@ share/applications/avogadro.desktop
 %%DATADIR%%/i18n/avogadro_pt_BR.qm
 %%DATADIR%%/i18n/avogadro_ru.qm
 %%DATADIR%%/i18n/avogadro_sk.qm
+%%DATADIR%%/i18n/avogadro_sl.qm
+%%DATADIR%%/i18n/avogadro_sq.qm
 %%DATADIR%%/i18n/avogadro_sr.qm
 %%DATADIR%%/i18n/avogadro_sv.qm
+%%DATADIR%%/i18n/avogadro_ta.qm
 %%DATADIR%%/i18n/avogadro_th.qm
 %%DATADIR%%/i18n/avogadro_tr.qm
 %%DATADIR%%/i18n/avogadro_ug.qm
@@ -1102,6 +1112,7 @@ share/applications/avogadro.desktop
 %%DATADIR%%/i18n/libavogadro_en_CA.qm
 %%DATADIR%%/i18n/libavogadro_en_GB.qm
 %%DATADIR%%/i18n/libavogadro_es.qm
+%%DATADIR%%/i18n/libavogadro_et.qm
 %%DATADIR%%/i18n/libavogadro_eu.qm
 %%DATADIR%%/i18n/libavogadro_fi.qm
 %%DATADIR%%/i18n/libavogadro_fr.qm
@@ -1114,6 +1125,7 @@ share/applications/avogadro.desktop
 %%DATADIR%%/i18n/libavogadro_ja.qm
 %%DATADIR%%/i18n/libavogadro_kn.qm
 %%DATADIR%%/i18n/libavogadro_ko.qm
+%%DATADIR%%/i18n/libavogadro_ms.qm
 %%DATADIR%%/i18n/libavogadro_nb.qm
 %%DATADIR%%/i18n/libavogadro_nl.qm
 %%DATADIR%%/i18n/libavogadro_oc.qm
@@ -1122,6 +1134,8 @@ share/applications/avogadro.desktop
 %%DATADIR%%/i18n/libavogadro_pt_BR.qm
 %%DATADIR%%/i18n/libavogadro_ru.qm
 %%DATADIR%%/i18n/libavogadro_sk.qm
+%%DATADIR%%/i18n/libavogadro_sl.qm
+%%DATADIR%%/i18n/libavogadro_sq.qm
 %%DATADIR%%/i18n/libavogadro_sr.qm
 %%DATADIR%%/i18n/libavogadro_sv.qm
 %%DATADIR%%/i18n/libavogadro_tr.qm

Modified: head/science/kalzium/Makefile
==============================================================================
--- head/science/kalzium/Makefile	Wed Dec 18 23:27:40 2013	(r336861)
+++ head/science/kalzium/Makefile	Wed Dec 18 23:33:20 2013	(r336862)
@@ -2,7 +2,7 @@
 
 PORTNAME=	kalzium
 PORTVERSION=	${KDE4_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	science kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	${KDE4_BRANCH}/${PORTVERSION}/src
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"